      real a(9216,11) ,b(9216,57,20) ,c(9216,6) ,d(9216,57)
      integer   ax,ay  ,     bx,by,bz  ,     cx,cy ,     dx,dy
      integer i,j,k,l
      character num*6, num2*2 ,num3*2
      xy=9216
      z=57
      z2=z-1
c  100 write(*,*)'Please push number of input data.'
c      read(*,*)num
c      write(*,*)'Please push number of output data.'
c      read(*,*)num2
      do i=0,21600,900
       j=i
       k=0
       l=i/60
       if(i.ge.3600)go to 10
       if(i.lt.0)   go to 20
   10  k=i/3600
       l=(i-k*3600)/60
   20  write(num,'(I6.6)')j
       write(num2,'(I2.2)')k
       write(num3,'(I2.2)')l

************************************************************************

      open(1,file='001.dmp'//num//'.united.bin',access='direct'
     +     ,form='unformatted',recl=xy*4)
      
      do ay=1,11
      read(1,rec=ay)(a(ax,ay),ax=1,xy)
      end do
      
      do bz=1,20
      do by=1,z
      read(1,rec=by+z*(bz-1)+11)(b(bx,by,bz),bx=1,xy)
      end do
      end do
      
      do cy=1,6
      read(1,rec=cy+(20*z+11))(c(cx,cy),cx=1,xy)
      end do
      
      do dy=1,z
      read(1,rec=dy+(20*z+17))(d(dx,dy),dx=1,xy)
      end do
      close(1)

************************************************************************

      open(2,file='data.gpv20050803'//num2//num3//'.bin',access='direct'
     +     ,form='unformatted',recl=xy*4)
    
      do dy=1,z2
      write(2,rec=dy)(d(dx,dy),dx=1,xy)
c      write(*,*)(dx,dy,d(dx,dy),bx=1,9216)
      end do
      
      do by=1,z2
      write(2,rec=by+z2)(b(bx,by,1)+b(bx,by,2),bx=1,xy)
c      write(*,*)(b(bx,by,1)+b(bx,by,2),bx=1,9216)
      end do

      do by=1,z2
      write(2,rec=by+z2*2)(b(bx,by,3)+b(bx,by,4),bx=1,xy)
      end do

      do by=1,z2
      write(2,rec=by+z2*3)(b(bx,by,6)+b(bx,by,7),bx=1,xy)
      end do

      do by=1,z2
      write(2,rec=by+z2*4)(b(bx,by,8)+b(bx,by,9),bx=1,xy)
      end do

      do by=1,z2
      write(2,rec=by+z2*5)(b(bx,by,5),bx=1,xy)
      end do

      do by=1,z2
      write(2,rec=by+z2*6)(b(bx,by,10)+b(bx,by,11),bx=1,xy)
      end do
      
      do by=1,z2
      do bx=1,xy
      if(b(bx,by,10)+b(bx,by,11).lt.0)write(*,*)b(bx,by,10)+b(bx,by,11)
      end do
      end do


      do by=1,z2
      write(2,rec=by+z2*7)(b(bx,by,12),bx=1,xy)
      end do

      do by=1,z2
      write(2,rec=by+z2*8)(b(bx,by,13),bx=1,xy)
      end do

      do by=1,z2
      write(2,rec=by+z2*9)(b(bx,by,14),bx=1,xy)
      end do

      do by=1,z2
      write(2,rec=by+z2*10)(b(bx,by,15),bx=1,xy)
      end do

      do by=1,z2
      write(2,rec=by+z2*11)(b(bx,by,16),bx=1,xy)
      end do
      
      close(2)
      end do
      end
